### Enumeration

# GLib ErrorType

#### Declaration

    enum GLib.ErrorType

#### Description [src]

The possible errors, used in the `v_error` field of `GTokenValue`, when the token is a `G_TOKEN_ERROR`.

#### Members

Name | Description
--- | ---
`G_ERR_UNKNOWN` | Unknown error.
`G_ERR_UNEXP_EOF` | Unexpected end of file.
`G_ERR_UNEXP_EOF_IN_STRING` | Unterminated string constant.
`G_ERR_UNEXP_EOF_IN_COMMENT` | Unterminated comment.
`G_ERR_NON_DIGIT_IN_CONST` | Non-digit character in a number.
`G_ERR_DIGIT_RADIX` | Digit beyond radix in a number.
`G_ERR_FLOAT_RADIX` | Non-decimal floating point number.
`G_ERR_FLOAT_MALFORMED` | Malformed floating point number.